#include "%{APPNAMELC}.h"
#include "%{APPNAMELC}impl.h"

%{APPNAME}Impl::%{APPNAME}Impl() {
    examplePlugin  = new %{APPNAME}();
}

%{APPNAME}Impl::~%{APPNAME}Impl() {
    delete examplePlugin;
}


TodayPluginObject* %{APPNAME}Impl::guiPart() {
    return examplePlugin;
}

TQRESULT %{APPNAME}Impl::queryInterface( const TQUuid & uuid,  TQUnknownInterface **iface ) {
    *iface = 0;
    if ( ( uuid == IID_QUnknown ) || ( uuid == IID_TodayPluginInterface ) )  {
        *iface = this, (*iface)->addRef();
    }else
	return TQS_FALSE;

    return TQS_OK;

}

TQ_EXPORT_INTERFACE() {
    TQ_CREATE_INSTANCE( %{APPNAME}Impl );
}
